com.opensymphony.xwork2

## Interface ActionInvocation

- All Superinterfaces:
    ActionInvocation

  Deprecated.
  since 6.7.0, use `ActionInvocation` instead.

      @Deprecated
      public interface ActionInvocation
      extends ActionInvocation

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ActionInvocation.LegacyAdapter` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ActionInvocation` | `adapt(ActionInvocation actualInvocation)` Deprecated.
    `default void` | `addPreResultListener(PreResultListener listener)` Deprecated. Register a `PreResultListener` to be notified after the Action is executed and before the Result is executed.
    `void` | `addPreResultListener(PreResultListener listener)` Deprecated.
    `ActionContext` | `getInvocationContext()` Deprecated. Gets the ActionContext associated with this ActionInvocation.
    `ActionProxy` | `getProxy()` Deprecated. Get the ActionProxy holding this ActionInvocation.
    `Result` | `getResult()` Deprecated. If the ActionInvocation has been executed before and the Result is an instance of `ActionChainResult`, this method will walk down the chain of `ActionChainResult`s until it finds a non-chain result, which will be returned.
    `ValueStack` | `getStack()` Deprecated. Gets the ValueStack associated with this ActionInvocation.
    `default void` | `init(ActionProxy proxy)` Deprecated.
    `void` | `init(ActionProxy proxy)` Deprecated.
    `default void` | `setActionEventListener(ActionEventListener listener)` Deprecated. Sets the action event listener to respond to key action events.
    `void` | `setActionEventListener(ActionEventListener listener)` Deprecated.

    - ### Methods inherited from interface org.apache.struts2.ActionInvocation

      `getAction, getResultCode, invoke, invokeActionOnly, isExecuted, setResultCode`

- - ### Method Detail

    - #### getInvocationContext

          ActionContext getInvocationContext()

      Deprecated.
      Description copied from interface: `ActionInvocation`
      Gets the ActionContext associated with this ActionInvocation. The ActionProxy is responsible for setting this ActionContext onto the ThreadLocal before invoking the ActionInvocation and resetting the old ActionContext afterwards.
      Specified by:
        `getInvocationContext` in interface `ActionInvocation`
      Returns:
        the ActionContext.

    - #### getResult

          Result getResult()
                    throws Exception

      Deprecated.
      Description copied from interface: `ActionInvocation`
      If the ActionInvocation has been executed before and the Result is an instance of `ActionChainResult`, this method will walk down the chain of `ActionChainResult`s until it finds a non-chain result, which will be returned. If the ActionInvocation's result has not been executed before, the Result instance will be created and populated with the result params.
      Specified by:
        `getResult` in interface `ActionInvocation`
      Returns:
        the result.
      Throws:
        `Exception` - can be thrown.

    - #### getProxy

          ActionProxy getProxy()

      Deprecated.
      Description copied from interface: `ActionInvocation`
      Get the ActionProxy holding this ActionInvocation.
      Specified by:
        `getProxy` in interface `ActionInvocation`
      Returns:
        the ActionProxy.

    - #### getStack

          ValueStack getStack()

      Deprecated.
      Description copied from interface: `ActionInvocation`
      Gets the ValueStack associated with this ActionInvocation.
      Specified by:
        `getStack` in interface `ActionInvocation`
      Returns:
        the ValueStack

    - #### addPreResultListener

          default void addPreResultListener(PreResultListener listener)

      Deprecated.
      Description copied from interface: `ActionInvocation`
      Register a `PreResultListener` to be notified after the Action is executed and before the Result is executed.

      The ActionInvocation implementation must guarantee that listeners will be called in the order in which they are registered.

      Listener registration and execution does not need to be thread-safe.

      Specified by:
        `addPreResultListener` in interface `ActionInvocation`
      Parameters:
        `listener` - the listener to add.

    - #### addPreResultListener

          void addPreResultListener(PreResultListener listener)

      Deprecated.

    - #### setActionEventListener

          default void setActionEventListener(ActionEventListener listener)

      Deprecated.
      Description copied from interface: `ActionInvocation`
      Sets the action event listener to respond to key action events.
      Specified by:
        `setActionEventListener` in interface `ActionInvocation`
      Parameters:
        `listener` - the listener.

    - #### setActionEventListener

          void setActionEventListener(ActionEventListener listener)

      Deprecated.

    - #### init

          default void init(ActionProxy proxy)

      Deprecated.
      Specified by:
        `init` in interface `ActionInvocation`

    - #### init

          void init(ActionProxy proxy)

      Deprecated.

    - #### adapt

          static ActionInvocation adapt(ActionInvocation actualInvocation)

      Deprecated.

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.